Cloo 0.9.1

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | Protected Attributes
Cloo.Bindings.CL10 Class Reference

Contains bindings to the OpenCL 1.0 functions. More...

Inheritance diagram for Cloo.Bindings.CL10:

List of all members.

## Static Public Member Functions
static ComputeErrorCode | GetPlatformIDs (Int32 num_entries,[Out, MarshalAs(UnmanagedType.LPArray)] CLPlatformHandle[] platforms, out Int32 num_platforms)
| See the OpenCL specification.
static ComputeErrorCode | GetPlatformInfo (CLPlatformHandle platform, ComputePlatformInfo param_name, IntPtr param_value_size, IntPtr param_value, out IntPtr param_value_size_ret)
| See the OpenCL specification.
static ComputeErrorCode | GetDeviceIDs (CLPlatformHandle platform, ComputeDeviceTypes device_type, Int32 num_entries,[Out, MarshalAs(UnmanagedType.LPArray)] CLDeviceHandle[] devices, out Int32 num_devices)
| See the OpenCL specification.
static ComputeErrorCode | GetDeviceInfo (CLDeviceHandle device, ComputeDeviceInfo param_name, IntPtr param_value_size, IntPtr param_value, out IntPtr param_value_size_ret)
| See the OpenCL specification.
static CLContextHandle | CreateContext ([MarshalAs(UnmanagedType.LPArray)] IntPtr[] properties, Int32 num_devices,[MarshalAs(UnmanagedType.LPArray)] CLDeviceHandle[] devices, ComputeContextNotifier pfn_notify, IntPtr user_data, out ComputeErrorCode errcode_ret)
| See the OpenCL specification.
static CLContextHandle | CreateContextFromType ([MarshalAs(UnmanagedType.LPArray)] IntPtr[] properties, ComputeDeviceTypes device_type, ComputeContextNotifier pfn_notify, IntPtr user_data, out ComputeErrorCode errcode_ret)
| See the OpenCL specification.
static ComputeErrorCode | RetainContext (CLContextHandle context)
| See the OpenCL specification.
static ComputeErrorCode | ReleaseContext (CLContextHandle context)
| See the OpenCL specification.
static ComputeErrorCode | GetContextInfo (CLContextHandle context, ComputeContextInfo param_name, IntPtr param_value_size, IntPtr param_value, out IntPtr param_value_size_ret)
| See the OpenCL specification.
static CLCommandQueueHandle | CreateCommandQueue (CLContextHandle context, CLDeviceHandle device, ComputeCommandQueueFlags properties, out ComputeErrorCode errcode_ret)
| See the OpenCL specification.
static ComputeErrorCode | RetainCommandQueue (CLCommandQueueHandle command_queue)
| See the OpenCL specification.
static ComputeErrorCode | ReleaseCommandQueue (CLCommandQueueHandle command_queue)
| See the OpenCL specification.
static ComputeErrorCode | GetCommandQueueInfo (CLCommandQueueHandle command_queue, ComputeCommandQueueInfo param_name, IntPtr param_value_size, IntPtr param_value, out IntPtr param_value_size_ret)
| See the OpenCL specification.
static ComputeErrorCode | SetCommandQueueProperty (CLCommandQueueHandle command_queue, ComputeCommandQueueFlags properties,[MarshalAs(UnmanagedType.Bool)] bool enable, out ComputeCommandQueueFlags old_properties)
| See the OpenCL specification.
static CLMemoryHandle | CreateBuffer (CLContextHandle context, ComputeMemoryFlags flags, IntPtr size, IntPtr host_ptr, out ComputeErrorCode errcode_ret)
| See the OpenCL specification.
static CLMemoryHandle | CreateImage2D (CLContextHandle context, ComputeMemoryFlags flags, ref ComputeImageFormat image_format, IntPtr image_width, IntPtr image_height, IntPtr image_row_pitch, IntPtr host_ptr, out ComputeErrorCode errcode_ret)
| See the OpenCL specification.
static CLMemoryHandle | CreateImage3D (CLContextHandle context, ComputeMemoryFlags flags, ref ComputeImageFormat image_format, IntPtr image_width, IntPtr image_height, IntPtr image_depth, IntPtr image_row_pitch, IntPtr image_slice_pitch, IntPtr host_ptr, out ComputeErrorCode errcode_ret)
| See the OpenCL specification.
static ComputeErrorCode | RetainMemObject (CLMemoryHandle memobj)
| See the OpenCL specification.
static ComputeErrorCode | ReleaseMemObject (CLMemoryHandle memobj)
| See the OpenCL specification.
static ComputeErrorCode | GetSupportedImageFormats (CLContextHandle context, ComputeMemoryFlags flags, ComputeMemoryType image_type, Int32 num_entries,[Out, MarshalAs(UnmanagedType.LPArray)] ComputeImageFormat[] image_formats, out Int32 num_image_formats)
| See the OpenCL specification.
static ComputeErrorCode | GetMemObjectInfo (CLMemoryHandle memobj, ComputeMemoryInfo param_name, IntPtr param_value_size, IntPtr param_value, out IntPtr param_value_size_ret)
| See the OpenCL specification.
static ComputeErrorCode | GetImageInfo (CLMemoryHandle image, ComputeImageInfo param_name, IntPtr param_value_size, IntPtr param_value, out IntPtr param_value_size_ret)
| See the OpenCL specification.
static CLSamplerHandle | CreateSampler (CLContextHandle context,[MarshalAs(UnmanagedType.Bool)] bool normalized_coords, ComputeImageAddressing addressing_mode, ComputeImageFiltering filter_mode, out ComputeErrorCode errcode_ret)
| See the OpenCL specification.
static ComputeErrorCode | RetainSampler (CLSamplerHandle sample)
| See the OpenCL specification.
static ComputeErrorCode | ReleaseSampler (CLSamplerHandle sample)
| See the OpenCL specification.
static ComputeErrorCode | GetSamplerInfo (CLSamplerHandle sample, ComputeSamplerInfo param_name, IntPtr param_value_size, IntPtr param_value, out IntPtr param_value_size_ret)
| See the OpenCL specification.
static CLProgramHandle | CreateProgramWithSource (CLContextHandle context, Int32 count, String[] strings,[MarshalAs(UnmanagedType.LPArray)] IntPtr[] lengths, out ComputeErrorCode errcode_ret)
| See the OpenCL specification.
static CLProgramHandle | CreateProgramWithBinary (CLContextHandle context, Int32 num_devices,[MarshalAs(UnmanagedType.LPArray)] CLDeviceHandle[] device_list,[MarshalAs(UnmanagedType.LPArray)] IntPtr[] lengths,[MarshalAs(UnmanagedType.LPArray)] IntPtr[] binaries,[MarshalAs(UnmanagedType.LPArray)] Int32[] binary_status, out ComputeErrorCode errcode_ret)
| See the OpenCL specification.
static ComputeErrorCode | RetainProgram (CLProgramHandle program)
| See the OpenCL specification.
static ComputeErrorCode | ReleaseProgram (CLProgramHandle program)
| See the OpenCL specification.
static ComputeErrorCode | BuildProgram (CLProgramHandle program, Int32 num_devices,[MarshalAs(UnmanagedType.LPArray)] CLDeviceHandle[] device_list, String options, ComputeProgramBuildNotifier pfn_notify, IntPtr user_data)
| See the OpenCL specification.
static ComputeErrorCode | UnloadCompiler ()
| See the OpenCL specification.
static ComputeErrorCode | GetProgramInfo (CLProgramHandle program, ComputeProgramInfo param_name, IntPtr param_value_size, IntPtr param_value, out IntPtr param_value_size_ret)
| See the OpenCL specification.
static ComputeErrorCode | GetProgramBuildInfo (CLProgramHandle program, CLDeviceHandle device, ComputeProgramBuildInfo param_name, IntPtr param_value_size, IntPtr param_value, out IntPtr param_value_size_ret)
| See the OpenCL specification.
static CLKernelHandle | CreateKernel (CLProgramHandle program, String kernel_name, out ComputeErrorCode errcode_ret)
| See the OpenCL specification.
static ComputeErrorCode | CreateKernelsInProgram (CLProgramHandle program, Int32 num_kernels,[Out, MarshalAs(UnmanagedType.LPArray)] CLKernelHandle[] kernels, out Int32 num_kernels_ret)
| See the OpenCL specification.
static ComputeErrorCode | RetainKernel (CLKernelHandle kernel)
| See the OpenCL specification.
static ComputeErrorCode | ReleaseKernel (CLKernelHandle kernel)
| See the OpenCL specification.
static ComputeErrorCode | SetKernelArg (CLKernelHandle kernel, Int32 arg_index, IntPtr arg_size, IntPtr arg_value)
| See the OpenCL specification.
static ComputeErrorCode | GetKernelInfo (CLKernelHandle kernel, ComputeKernelInfo param_name, IntPtr param_value_size, IntPtr param_value, out IntPtr param_value_size_ret)
| See the OpenCL specification.
static ComputeErrorCode | GetKernelWorkGroupInfo (CLKernelHandle kernel, CLDeviceHandle device, ComputeKernelWorkGroupInfo param_name, IntPtr param_value_size, IntPtr param_value, out IntPtr param_value_size_ret)
| See the OpenCL specification.
static ComputeErrorCode | WaitForEvents (Int32 num_events,[MarshalAs(UnmanagedType.LPArray)] CLEventHandle[] event_list)
| See the OpenCL specification.
static ComputeErrorCode | GetEventInfo (CLEventHandle @event, ComputeEventInfo param_name, IntPtr param_value_size, IntPtr param_value, out IntPtr param_value_size_ret)
| See the OpenCL specification.
static ComputeErrorCode | RetainEvent (CLEventHandle @event)
| See the OpenCL specification.
static ComputeErrorCode | ReleaseEvent (CLEventHandle @event)
| See the OpenCL specification.
static ComputeErrorCode | GetEventProfilingInfo (CLEventHandle @event, ComputeCommandProfilingInfo param_name, IntPtr param_value_size, IntPtr param_value, out IntPtr param_value_size_ret)
| See the OpenCL specification.
static ComputeErrorCode | Flush (CLCommandQueueHandle command_queue)
| See the OpenCL specification.
static ComputeErrorCode | Finish (CLCommandQueueHandle command_queue)
| See the OpenCL specification.
static ComputeErrorCode | EnqueueReadBuffer (CLCommandQueueHandle command_queue, CLMemoryHandle buffer,[MarshalAs(UnmanagedType.Bool)] bool blocking_read, IntPtr offset, IntPtr cb, IntPtr ptr, Int32 num_events_in_wait_list,[MarshalAs(UnmanagedType.LPArray)] CLEventHandle[] event_wait_list,[Out, MarshalAs(UnmanagedType.LPArray, SizeConst=1)] CLEventHandle[] new_event)
| See the OpenCL specification.
static ComputeErrorCode | EnqueueWriteBuffer (CLCommandQueueHandle command_queue, CLMemoryHandle buffer,[MarshalAs(UnmanagedType.Bool)] bool blocking_write, IntPtr offset, IntPtr cb, IntPtr ptr, Int32 num_events_in_wait_list,[MarshalAs(UnmanagedType.LPArray)] CLEventHandle[] event_wait_list,[Out, MarshalAs(UnmanagedType.LPArray, SizeConst=1)] CLEventHandle[] new_event)
| See the OpenCL specification.
static ComputeErrorCode | EnqueueCopyBuffer (CLCommandQueueHandle command_queue, CLMemoryHandle src_buffer, CLMemoryHandle dst_buffer, IntPtr src_offset, IntPtr dst_offset, IntPtr cb, Int32 num_events_in_wait_list,[MarshalAs(UnmanagedType.LPArray)] CLEventHandle[] event_wait_list,[Out, MarshalAs(UnmanagedType.LPArray, SizeConst=1)] CLEventHandle[] new_event)
| See the OpenCL specification.
static ComputeErrorCode | EnqueueReadImage (CLCommandQueueHandle command_queue, CLMemoryHandle image,[MarshalAs(UnmanagedType.Bool)] bool blocking_read, ref SysIntX3 origin, ref SysIntX3 region, IntPtr row_pitch, IntPtr slice_pitch, IntPtr ptr, Int32 num_events_in_wait_list,[MarshalAs(UnmanagedType.LPArray)] CLEventHandle[] event_wait_list,[Out, MarshalAs(UnmanagedType.LPArray, SizeConst=1)] CLEventHandle[] new_event)
| See the OpenCL specification.
static ComputeErrorCode | EnqueueWriteImage (CLCommandQueueHandle command_queue, CLMemoryHandle image,[MarshalAs(UnmanagedType.Bool)] bool blocking_write, ref SysIntX3 origin, ref SysIntX3 region, IntPtr input_row_pitch, IntPtr input_slice_pitch, IntPtr ptr, Int32 num_events_in_wait_list,[MarshalAs(UnmanagedType.LPArray)] CLEventHandle[] event_wait_list,[Out, MarshalAs(UnmanagedType.LPArray, SizeConst=1)] CLEventHandle[] new_event)
| See the OpenCL specification.
static ComputeErrorCode | EnqueueCopyImage (CLCommandQueueHandle command_queue, CLMemoryHandle src_image, CLMemoryHandle dst_image, ref SysIntX3 src_origin, ref SysIntX3 dst_origin, ref SysIntX3 region, Int32 num_events_in_wait_list,[MarshalAs(UnmanagedType.LPArray)] CLEventHandle[] event_wait_list,[Out, MarshalAs(UnmanagedType.LPArray, SizeConst=1)] CLEventHandle[] new_event)
| See the OpenCL specification.
static ComputeErrorCode | EnqueueCopyImageToBuffer (CLCommandQueueHandle command_queue, CLMemoryHandle src_image, CLMemoryHandle dst_buffer, ref SysIntX3 src_origin, ref SysIntX3 region, IntPtr dst_offset, Int32 num_events_in_wait_list,[MarshalAs(UnmanagedType.LPArray)] CLEventHandle[] event_wait_list,[Out, MarshalAs(UnmanagedType.LPArray, SizeConst=1)] CLEventHandle[] new_event)
| See the OpenCL specification.
static ComputeErrorCode | EnqueueCopyBufferToImage (CLCommandQueueHandle command_queue, CLMemoryHandle src_buffer, CLMemoryHandle dst_image, IntPtr src_offset, ref SysIntX3 dst_origin, ref SysIntX3 region, Int32 num_events_in_wait_list,[MarshalAs(UnmanagedType.LPArray)] CLEventHandle[] event_wait_list,[Out, MarshalAs(UnmanagedType.LPArray, SizeConst=1)] CLEventHandle[] new_event)
| See the OpenCL specification.
static IntPtr | EnqueueMapBuffer (CLCommandQueueHandle command_queue, CLMemoryHandle buffer,[MarshalAs(UnmanagedType.Bool)] bool blocking_map, ComputeMemoryMappingFlags map_flags, IntPtr offset, IntPtr cb, Int32 num_events_in_wait_list,[MarshalAs(UnmanagedType.LPArray)] CLEventHandle[] event_wait_list,[Out, MarshalAs(UnmanagedType.LPArray, SizeConst=1)] CLEventHandle[] new_event, out ComputeErrorCode errcode_ret)
| See the OpenCL specification.
static IntPtr | EnqueueMapImage (CLCommandQueueHandle command_queue, CLMemoryHandle image,[MarshalAs(UnmanagedType.Bool)] bool blocking_map, ComputeMemoryMappingFlags map_flags, ref SysIntX3 origin, ref SysIntX3 region, out IntPtr image_row_pitch, out IntPtr image_slice_pitch, Int32 num_events_in_wait_list,[MarshalAs(UnmanagedType.LPArray)] CLEventHandle[] event_wait_list,[Out, MarshalAs(UnmanagedType.LPArray, SizeConst=1)] CLEventHandle[] new_event, out ComputeErrorCode errcode_ret)
| See the OpenCL specification.
static ComputeErrorCode | EnqueueUnmapMemObject (CLCommandQueueHandle command_queue, CLMemoryHandle memobj, IntPtr mapped_ptr, Int32 num_events_in_wait_list,[MarshalAs(UnmanagedType.LPArray)] CLEventHandle[] event_wait_list,[Out, MarshalAs(UnmanagedType.LPArray, SizeConst=1)] CLEventHandle[] new_event)
| See the OpenCL specification.
static ComputeErrorCode | EnqueueNDRangeKernel (CLCommandQueueHandle command_queue, CLKernelHandle kernel, Int32 work_dim,[MarshalAs(UnmanagedType.LPArray)] IntPtr[] global_work_offset,[MarshalAs(UnmanagedType.LPArray)] IntPtr[] global_work_size,[MarshalAs(UnmanagedType.LPArray)] IntPtr[] local_work_size, Int32 num_events_in_wait_list,[MarshalAs(UnmanagedType.LPArray)] CLEventHandle[] event_wait_list,[Out, MarshalAs(UnmanagedType.LPArray, SizeConst=1)] CLEventHandle[] new_event)
| See the OpenCL specification.
static ComputeErrorCode | EnqueueTask (CLCommandQueueHandle command_queue, CLKernelHandle kernel, Int32 num_events_in_wait_list,[MarshalAs(UnmanagedType.LPArray)] CLEventHandle[] event_wait_list,[Out, MarshalAs(UnmanagedType.LPArray, SizeConst=1)] CLEventHandle[] new_event)
| See the OpenCL specification.
static ComputeErrorCode | EnqueueMarker (CLCommandQueueHandle command_queue, out CLEventHandle new_event)
| See the OpenCL specification.
static ComputeErrorCode | EnqueueWaitForEvents (CLCommandQueueHandle command_queue, Int32 num_events,[MarshalAs(UnmanagedType.LPArray)] CLEventHandle[] event_list)
| See the OpenCL specification.
static ComputeErrorCode | EnqueueBarrier (CLCommandQueueHandle command_queue)
| See the OpenCL specification.
static IntPtr | GetExtensionFunctionAddress (String func_name)
| Gets the extension function address for the given function name, or NULL if a valid function can not be found. The client must check to make sure the address is not NULL, before using or calling the returned function address.
static CLMemoryHandle | CreateFromGLBuffer (CLContextHandle context, ComputeMemoryFlags flags, Int32 bufobj, out ComputeErrorCode errcode_ret)
| See the OpenCL specification.
static CLMemoryHandle | CreateFromGLTexture2D (CLContextHandle context, ComputeMemoryFlags flags, Int32 target, Int32 miplevel, Int32 texture, out ComputeErrorCode errcode_ret)
| See the OpenCL specification.
static CLMemoryHandle | CreateFromGLTexture3D (CLContextHandle context, ComputeMemoryFlags flags, Int32 target, Int32 miplevel, Int32 texture, out ComputeErrorCode errcode_ret)
| See the OpenCL specification.
static CLMemoryHandle | CreateFromGLRenderbuffer (CLContextHandle context, ComputeMemoryFlags flags, Int32 renderbuffer, out ComputeErrorCode errcode_ret)
| See the OpenCL specification.
static ComputeErrorCode | GetGLObjectInfo (CLMemoryHandle memobj, out ComputeGLObjectType gl_object_type, out Int32 gl_object_name)
| See the OpenCL specification.
static ComputeErrorCode | GetGLTextureInfo (CLMemoryHandle memobj, ComputeGLTextureInfo param_name, IntPtr param_value_size, IntPtr param_value, out IntPtr param_value_size_ret)
| See the OpenCL specification.
static ComputeErrorCode | EnqueueAcquireGLObjects (CLCommandQueueHandle command_queue, Int32 num_objects,[MarshalAs(UnmanagedType.LPArray)] CLMemoryHandle[] mem_objects, Int32 num_events_in_wait_list,[MarshalAs(UnmanagedType.LPArray)] CLEventHandle[] event_wait_list,[Out, MarshalAs(UnmanagedType.LPArray, SizeConst=1)] CLEventHandle[] new_event)
| See the OpenCL specification.
static ComputeErrorCode | EnqueueReleaseGLObjects (CLCommandQueueHandle command_queue, Int32 num_objects,[MarshalAs(UnmanagedType.LPArray)] CLMemoryHandle[] mem_objects, Int32 num_events_in_wait_list,[MarshalAs(UnmanagedType.LPArray)] CLEventHandle[] event_wait_list,[Out, MarshalAs(UnmanagedType.LPArray, SizeConst=1)] CLEventHandle[] new_event)
| See the OpenCL specification.
## Protected Attributes
const string | libName = "OpenCL.dll"
| The name of the library that contains the available OpenCL function points.

## Detailed Description

Contains bindings to the OpenCL 1.0 functions.

See the OpenCL specification for documentation regarding these functions.

## Member Function Documentation

static ComputeErrorCode Cloo.Bindings.CL10.BuildProgram | ( | CLProgramHandle | program,
|  | Int32 | num_devices,
|  | [MarshalAs(UnmanagedType.LPArray)] CLDeviceHandle[] | device_list,
|  | String | options,
|  | ComputeProgramBuildNotifier | pfn_notify,
|  | IntPtr | user_data
| ) |  | `[static]`

See the OpenCL specification.

static CLMemoryHandle Cloo.Bindings.CL10.CreateBuffer | ( | CLContextHandle | context,
|  | ComputeMemoryFlags | flags,
|  | IntPtr | size,
|  | IntPtr | host_ptr,
|  | out ComputeErrorCode | errcode_ret
| ) |  | `[static]`

See the OpenCL specification.

static CLCommandQueueHandle Cloo.Bindings.CL10.CreateCommandQueue | ( | CLContextHandle | context,
|  | CLDeviceHandle | device,
|  | ComputeCommandQueueFlags | properties,
|  | out ComputeErrorCode | errcode_ret
| ) |  | `[static]`

See the OpenCL specification.

static CLContextHandle Cloo.Bindings.CL10.CreateContext | ( | [MarshalAs(UnmanagedType.LPArray)] IntPtr[] | properties,
|  | Int32 | num_devices,
|  | [MarshalAs(UnmanagedType.LPArray)] CLDeviceHandle[] | devices,
|  | ComputeContextNotifier | pfn_notify,
|  | IntPtr | user_data,
|  | out ComputeErrorCode | errcode_ret
| ) |  | `[static]`

See the OpenCL specification.

static CLContextHandle Cloo.Bindings.CL10.CreateContextFromType | ( | [MarshalAs(UnmanagedType.LPArray)] IntPtr[] | properties,
|  | ComputeDeviceTypes | device_type,
|  | ComputeContextNotifier | pfn_notify,
|  | IntPtr | user_data,
|  | out ComputeErrorCode | errcode_ret
| ) |  | `[static]`

See the OpenCL specification.

static CLMemoryHandle Cloo.Bindings.CL10.CreateFromGLBuffer | ( | CLContextHandle | context,
|  | ComputeMemoryFlags | flags,
|  | Int32 | bufobj,
|  | out ComputeErrorCode | errcode_ret
| ) |  | `[static]`

See the OpenCL specification.

static CLMemoryHandle Cloo.Bindings.CL10.CreateFromGLRenderbuffer | ( | CLContextHandle | context,
|  | ComputeMemoryFlags | flags,
|  | Int32 | renderbuffer,
|  | out ComputeErrorCode | errcode_ret
| ) |  | `[static]`

See the OpenCL specification.

static CLMemoryHandle Cloo.Bindings.CL10.CreateFromGLTexture2D | ( | CLContextHandle | context,
|  | ComputeMemoryFlags | flags,
|  | Int32 | target,
|  | Int32 | miplevel,
|  | Int32 | texture,
|  | out ComputeErrorCode | errcode_ret
| ) |  | `[static]`

See the OpenCL specification.

static CLMemoryHandle Cloo.Bindings.CL10.CreateFromGLTexture3D | ( | CLContextHandle | context,
|  | ComputeMemoryFlags | flags,
|  | Int32 | target,
|  | Int32 | miplevel,
|  | Int32 | texture,
|  | out ComputeErrorCode | errcode_ret
| ) |  | `[static]`

See the OpenCL specification.

static CLMemoryHandle Cloo.Bindings.CL10.CreateImage2D | ( | CLContextHandle | context,
|  | ComputeMemoryFlags | flags,
|  | ref ComputeImageFormat | image_format,
|  | IntPtr | image_width,
|  | IntPtr | image_height,
|  | IntPtr | image_row_pitch,
|  | IntPtr | host_ptr,
|  | out ComputeErrorCode | errcode_ret
| ) |  | `[static]`

See the OpenCL specification.

static CLMemoryHandle Cloo.Bindings.CL10.CreateImage3D | ( | CLContextHandle | context,
|  | ComputeMemoryFlags | flags,
|  | ref ComputeImageFormat | image_format,
|  | IntPtr | image_width,
|  | IntPtr | image_height,
|  | IntPtr | image_depth,
|  | IntPtr | image_row_pitch,
|  | IntPtr | image_slice_pitch,
|  | IntPtr | host_ptr,
|  | out ComputeErrorCode | errcode_ret
| ) |  | `[static]`

See the OpenCL specification.

static CLKernelHandle Cloo.Bindings.CL10.CreateKernel | ( | CLProgramHandle | program,
|  | String | kernel_name,
|  | out ComputeErrorCode | errcode_ret
| ) |  | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.CreateKernelsInProgram | ( | CLProgramHandle | program,
|  | Int32 | num_kernels,
|  | [Out, MarshalAs(UnmanagedType.LPArray)] CLKernelHandle[] | kernels,
|  | out Int32 | num_kernels_ret
| ) |  | `[static]`

See the OpenCL specification.

static CLProgramHandle Cloo.Bindings.CL10.CreateProgramWithBinary | ( | CLContextHandle | context,
|  | Int32 | num_devices,
|  | [MarshalAs(UnmanagedType.LPArray)] CLDeviceHandle[] | device_list,
|  | [MarshalAs(UnmanagedType.LPArray)] IntPtr[] | lengths,
|  | [MarshalAs(UnmanagedType.LPArray)] IntPtr[] | binaries,
|  | [MarshalAs(UnmanagedType.LPArray)] Int32[] | binary_status,
|  | out ComputeErrorCode | errcode_ret
| ) |  | `[static]`

See the OpenCL specification.

static CLProgramHandle Cloo.Bindings.CL10.CreateProgramWithSource | ( | CLContextHandle | context,
|  | Int32 | count,
|  | String[] | strings,
|  | [MarshalAs(UnmanagedType.LPArray)] IntPtr[] | lengths,
|  | out ComputeErrorCode | errcode_ret
| ) |  | `[static]`

See the OpenCL specification.

static CLSamplerHandle Cloo.Bindings.CL10.CreateSampler | ( | CLContextHandle | context,
|  | [MarshalAs(UnmanagedType.Bool)] bool | normalized_coords,
|  | ComputeImageAddressing | addressing_mode,
|  | ComputeImageFiltering | filter_mode,
|  | out ComputeErrorCode | errcode_ret
| ) |  | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.EnqueueAcquireGLObjects | ( | CLCommandQueueHandle | command_queue,
|  | Int32 | num_objects,
|  | [MarshalAs(UnmanagedType.LPArray)] CLMemoryHandle[] | mem_objects,
|  | Int32 | num_events_in_wait_list,
|  | [MarshalAs(UnmanagedType.LPArray)] CLEventHandle[] | event_wait_list,
|  | [Out, MarshalAs(UnmanagedType.LPArray, SizeConst=1)] CLEventHandle[] | new_event
| ) |  | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.EnqueueBarrier | ( | CLCommandQueueHandle | command_queue | ) | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.EnqueueCopyBuffer | ( | CLCommandQueueHandle | command_queue,
|  | CLMemoryHandle | src_buffer,
|  | CLMemoryHandle | dst_buffer,
|  | IntPtr | src_offset,
|  | IntPtr | dst_offset,
|  | IntPtr | cb,
|  | Int32 | num_events_in_wait_list,
|  | [MarshalAs(UnmanagedType.LPArray)] CLEventHandle[] | event_wait_list,
|  | [Out, MarshalAs(UnmanagedType.LPArray, SizeConst=1)] CLEventHandle[] | new_event
| ) |  | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.EnqueueCopyBufferToImage | ( | CLCommandQueueHandle | command_queue,
|  | CLMemoryHandle | src_buffer,
|  | CLMemoryHandle | dst_image,
|  | IntPtr | src_offset,
|  | ref SysIntX3 | dst_origin,
|  | ref SysIntX3 | region,
|  | Int32 | num_events_in_wait_list,
|  | [MarshalAs(UnmanagedType.LPArray)] CLEventHandle[] | event_wait_list,
|  | [Out, MarshalAs(UnmanagedType.LPArray, SizeConst=1)] CLEventHandle[] | new_event
| ) |  | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.EnqueueCopyImage | ( | CLCommandQueueHandle | command_queue,
|  | CLMemoryHandle | src_image,
|  | CLMemoryHandle | dst_image,
|  | ref SysIntX3 | src_origin,
|  | ref SysIntX3 | dst_origin,
|  | ref SysIntX3 | region,
|  | Int32 | num_events_in_wait_list,
|  | [MarshalAs(UnmanagedType.LPArray)] CLEventHandle[] | event_wait_list,
|  | [Out, MarshalAs(UnmanagedType.LPArray, SizeConst=1)] CLEventHandle[] | new_event
| ) |  | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.EnqueueCopyImageToBuffer | ( | CLCommandQueueHandle | command_queue,
|  | CLMemoryHandle | src_image,
|  | CLMemoryHandle | dst_buffer,
|  | ref SysIntX3 | src_origin,
|  | ref SysIntX3 | region,
|  | IntPtr | dst_offset,
|  | Int32 | num_events_in_wait_list,
|  | [MarshalAs(UnmanagedType.LPArray)] CLEventHandle[] | event_wait_list,
|  | [Out, MarshalAs(UnmanagedType.LPArray, SizeConst=1)] CLEventHandle[] | new_event
| ) |  | `[static]`

See the OpenCL specification.

static IntPtr Cloo.Bindings.CL10.EnqueueMapBuffer | ( | CLCommandQueueHandle | command_queue,
|  | CLMemoryHandle | buffer,
|  | [MarshalAs(UnmanagedType.Bool)] bool | blocking_map,
|  | ComputeMemoryMappingFlags | map_flags,
|  | IntPtr | offset,
|  | IntPtr | cb,
|  | Int32 | num_events_in_wait_list,
|  | [MarshalAs(UnmanagedType.LPArray)] CLEventHandle[] | event_wait_list,
|  | [Out, MarshalAs(UnmanagedType.LPArray, SizeConst=1)] CLEventHandle[] | new_event,
|  | out ComputeErrorCode | errcode_ret
| ) |  | `[static]`

See the OpenCL specification.

static IntPtr Cloo.Bindings.CL10.EnqueueMapImage | ( | CLCommandQueueHandle | command_queue,
|  | CLMemoryHandle | image,
|  | [MarshalAs(UnmanagedType.Bool)] bool | blocking_map,
|  | ComputeMemoryMappingFlags | map_flags,
|  | ref SysIntX3 | origin,
|  | ref SysIntX3 | region,
|  | out IntPtr | image_row_pitch,
|  | out IntPtr | image_slice_pitch,
|  | Int32 | num_events_in_wait_list,
|  | [MarshalAs(UnmanagedType.LPArray)] CLEventHandle[] | event_wait_list,
|  | [Out, MarshalAs(UnmanagedType.LPArray, SizeConst=1)] CLEventHandle[] | new_event,
|  | out ComputeErrorCode | errcode_ret
| ) |  | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.EnqueueMarker | ( | CLCommandQueueHandle | command_queue,
|  | out CLEventHandle | new_event
| ) |  | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.EnqueueNDRangeKernel | ( | CLCommandQueueHandle | command_queue,
|  | CLKernelHandle | kernel,
|  | Int32 | work_dim,
|  | [MarshalAs(UnmanagedType.LPArray)] IntPtr[] | global_work_offset,
|  | [MarshalAs(UnmanagedType.LPArray)] IntPtr[] | global_work_size,
|  | [MarshalAs(UnmanagedType.LPArray)] IntPtr[] | local_work_size,
|  | Int32 | num_events_in_wait_list,
|  | [MarshalAs(UnmanagedType.LPArray)] CLEventHandle[] | event_wait_list,
|  | [Out, MarshalAs(UnmanagedType.LPArray, SizeConst=1)] CLEventHandle[] | new_event
| ) |  | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.EnqueueReadBuffer | ( | CLCommandQueueHandle | command_queue,
|  | CLMemoryHandle | buffer,
|  | [MarshalAs(UnmanagedType.Bool)] bool | blocking_read,
|  | IntPtr | offset,
|  | IntPtr | cb,
|  | IntPtr | ptr,
|  | Int32 | num_events_in_wait_list,
|  | [MarshalAs(UnmanagedType.LPArray)] CLEventHandle[] | event_wait_list,
|  | [Out, MarshalAs(UnmanagedType.LPArray, SizeConst=1)] CLEventHandle[] | new_event
| ) |  | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.EnqueueReadImage | ( | CLCommandQueueHandle | command_queue,
|  | CLMemoryHandle | image,
|  | [MarshalAs(UnmanagedType.Bool)] bool | blocking_read,
|  | ref SysIntX3 | origin,
|  | ref SysIntX3 | region,
|  | IntPtr | row_pitch,
|  | IntPtr | slice_pitch,
|  | IntPtr | ptr,
|  | Int32 | num_events_in_wait_list,
|  | [MarshalAs(UnmanagedType.LPArray)] CLEventHandle[] | event_wait_list,
|  | [Out, MarshalAs(UnmanagedType.LPArray, SizeConst=1)] CLEventHandle[] | new_event
| ) |  | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.EnqueueReleaseGLObjects | ( | CLCommandQueueHandle | command_queue,
|  | Int32 | num_objects,
|  | [MarshalAs(UnmanagedType.LPArray)] CLMemoryHandle[] | mem_objects,
|  | Int32 | num_events_in_wait_list,
|  | [MarshalAs(UnmanagedType.LPArray)] CLEventHandle[] | event_wait_list,
|  | [Out, MarshalAs(UnmanagedType.LPArray, SizeConst=1)] CLEventHandle[] | new_event
| ) |  | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.EnqueueTask | ( | CLCommandQueueHandle | command_queue,
|  | CLKernelHandle | kernel,
|  | Int32 | num_events_in_wait_list,
|  | [MarshalAs(UnmanagedType.LPArray)] CLEventHandle[] | event_wait_list,
|  | [Out, MarshalAs(UnmanagedType.LPArray, SizeConst=1)] CLEventHandle[] | new_event
| ) |  | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.EnqueueUnmapMemObject | ( | CLCommandQueueHandle | command_queue,
|  | CLMemoryHandle | memobj,
|  | IntPtr | mapped_ptr,
|  | Int32 | num_events_in_wait_list,
|  | [MarshalAs(UnmanagedType.LPArray)] CLEventHandle[] | event_wait_list,
|  | [Out, MarshalAs(UnmanagedType.LPArray, SizeConst=1)] CLEventHandle[] | new_event
| ) |  | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.EnqueueWaitForEvents | ( | CLCommandQueueHandle | command_queue,
|  | Int32 | num_events,
|  | [MarshalAs(UnmanagedType.LPArray)] CLEventHandle[] | event_list
| ) |  | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.EnqueueWriteBuffer | ( | CLCommandQueueHandle | command_queue,
|  | CLMemoryHandle | buffer,
|  | [MarshalAs(UnmanagedType.Bool)] bool | blocking_write,
|  | IntPtr | offset,
|  | IntPtr | cb,
|  | IntPtr | ptr,
|  | Int32 | num_events_in_wait_list,
|  | [MarshalAs(UnmanagedType.LPArray)] CLEventHandle[] | event_wait_list,
|  | [Out, MarshalAs(UnmanagedType.LPArray, SizeConst=1)] CLEventHandle[] | new_event
| ) |  | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.EnqueueWriteImage | ( | CLCommandQueueHandle | command_queue,
|  | CLMemoryHandle | image,
|  | [MarshalAs(UnmanagedType.Bool)] bool | blocking_write,
|  | ref SysIntX3 | origin,
|  | ref SysIntX3 | region,
|  | IntPtr | input_row_pitch,
|  | IntPtr | input_slice_pitch,
|  | IntPtr | ptr,
|  | Int32 | num_events_in_wait_list,
|  | [MarshalAs(UnmanagedType.LPArray)] CLEventHandle[] | event_wait_list,
|  | [Out, MarshalAs(UnmanagedType.LPArray, SizeConst=1)] CLEventHandle[] | new_event
| ) |  | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.Finish | ( | CLCommandQueueHandle | command_queue | ) | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.Flush | ( | CLCommandQueueHandle | command_queue | ) | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.GetCommandQueueInfo | ( | CLCommandQueueHandle | command_queue,
|  | ComputeCommandQueueInfo | param_name,
|  | IntPtr | param_value_size,
|  | IntPtr | param_value,
|  | out IntPtr | param_value_size_ret
| ) |  | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.GetContextInfo | ( | CLContextHandle | context,
|  | ComputeContextInfo | param_name,
|  | IntPtr | param_value_size,
|  | IntPtr | param_value,
|  | out IntPtr | param_value_size_ret
| ) |  | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.GetDeviceIDs | ( | CLPlatformHandle | platform,
|  | ComputeDeviceTypes | device_type,
|  | Int32 | num_entries,
|  | [Out, MarshalAs(UnmanagedType.LPArray)] CLDeviceHandle[] | devices,
|  | out Int32 | num_devices
| ) |  | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.GetDeviceInfo | ( | CLDeviceHandle | device,
|  | ComputeDeviceInfo | param_name,
|  | IntPtr | param_value_size,
|  | IntPtr | param_value,
|  | out IntPtr | param_value_size_ret
| ) |  | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.GetEventInfo | ( | CLEventHandle @ | event,
|  | ComputeEventInfo | param_name,
|  | IntPtr | param_value_size,
|  | IntPtr | param_value,
|  | out IntPtr | param_value_size_ret
| ) |  | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.GetEventProfilingInfo | ( | CLEventHandle @ | event,
|  | ComputeCommandProfilingInfo | param_name,
|  | IntPtr | param_value_size,
|  | IntPtr | param_value,
|  | out IntPtr | param_value_size_ret
| ) |  | `[static]`

See the OpenCL specification.

static IntPtr Cloo.Bindings.CL10.GetExtensionFunctionAddress | ( | String | func_name | ) | `[static]`

Gets the extension function address for the given function name, or NULL if a valid function can not be found. The client must check to make sure the address is not NULL, before using or calling the returned function address.

static ComputeErrorCode Cloo.Bindings.CL10.GetGLObjectInfo | ( | CLMemoryHandle | memobj,
|  | out ComputeGLObjectType | gl_object_type,
|  | out Int32 | gl_object_name
| ) |  | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.GetGLTextureInfo | ( | CLMemoryHandle | memobj,
|  | ComputeGLTextureInfo | param_name,
|  | IntPtr | param_value_size,
|  | IntPtr | param_value,
|  | out IntPtr | param_value_size_ret
| ) |  | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.GetImageInfo | ( | CLMemoryHandle | image,
|  | ComputeImageInfo | param_name,
|  | IntPtr | param_value_size,
|  | IntPtr | param_value,
|  | out IntPtr | param_value_size_ret
| ) |  | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.GetKernelInfo | ( | CLKernelHandle | kernel,
|  | ComputeKernelInfo | param_name,
|  | IntPtr | param_value_size,
|  | IntPtr | param_value,
|  | out IntPtr | param_value_size_ret
| ) |  | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.GetKernelWorkGroupInfo | ( | CLKernelHandle | kernel,
|  | CLDeviceHandle | device,
|  | ComputeKernelWorkGroupInfo | param_name,
|  | IntPtr | param_value_size,
|  | IntPtr | param_value,
|  | out IntPtr | param_value_size_ret
| ) |  | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.GetMemObjectInfo | ( | CLMemoryHandle | memobj,
|  | ComputeMemoryInfo | param_name,
|  | IntPtr | param_value_size,
|  | IntPtr | param_value,
|  | out IntPtr | param_value_size_ret
| ) |  | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.GetPlatformIDs | ( | Int32 | num_entries,
|  | [Out, MarshalAs(UnmanagedType.LPArray)] CLPlatformHandle[] | platforms,
|  | out Int32 | num_platforms
| ) |  | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.GetPlatformInfo | ( | CLPlatformHandle | platform,
|  | ComputePlatformInfo | param_name,
|  | IntPtr | param_value_size,
|  | IntPtr | param_value,
|  | out IntPtr | param_value_size_ret
| ) |  | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.GetProgramBuildInfo | ( | CLProgramHandle | program,
|  | CLDeviceHandle | device,
|  | ComputeProgramBuildInfo | param_name,
|  | IntPtr | param_value_size,
|  | IntPtr | param_value,
|  | out IntPtr | param_value_size_ret
| ) |  | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.GetProgramInfo | ( | CLProgramHandle | program,
|  | ComputeProgramInfo | param_name,
|  | IntPtr | param_value_size,
|  | IntPtr | param_value,
|  | out IntPtr | param_value_size_ret
| ) |  | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.GetSamplerInfo | ( | CLSamplerHandle | sample,
|  | ComputeSamplerInfo | param_name,
|  | IntPtr | param_value_size,
|  | IntPtr | param_value,
|  | out IntPtr | param_value_size_ret
| ) |  | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.GetSupportedImageFormats | ( | CLContextHandle | context,
|  | ComputeMemoryFlags | flags,
|  | ComputeMemoryType | image_type,
|  | Int32 | num_entries,
|  | [Out, MarshalAs(UnmanagedType.LPArray)] ComputeImageFormat[] | image_formats,
|  | out Int32 | num_image_formats
| ) |  | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.ReleaseCommandQueue | ( | CLCommandQueueHandle | command_queue | ) | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.ReleaseContext | ( | CLContextHandle | context | ) | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.ReleaseEvent | ( | CLEventHandle @ | event | ) | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.ReleaseKernel | ( | CLKernelHandle | kernel | ) | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.ReleaseMemObject | ( | CLMemoryHandle | memobj | ) | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.ReleaseProgram | ( | CLProgramHandle | program | ) | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.ReleaseSampler | ( | CLSamplerHandle | sample | ) | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.RetainCommandQueue | ( | CLCommandQueueHandle | command_queue | ) | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.RetainContext | ( | CLContextHandle | context | ) | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.RetainEvent | ( | CLEventHandle @ | event | ) | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.RetainKernel | ( | CLKernelHandle | kernel | ) | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.RetainMemObject | ( | CLMemoryHandle | memobj | ) | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.RetainProgram | ( | CLProgramHandle | program | ) | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.RetainSampler | ( | CLSamplerHandle | sample | ) | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.SetCommandQueueProperty | ( | CLCommandQueueHandle | command_queue,
|  | ComputeCommandQueueFlags | properties,
|  | [MarshalAs(UnmanagedType.Bool)] bool | enable,
|  | out ComputeCommandQueueFlags | old_properties
| ) |  | `[static]`

See the OpenCL specification.

Reimplemented in Cloo.Bindings.CL11.

static ComputeErrorCode Cloo.Bindings.CL10.SetKernelArg | ( | CLKernelHandle | kernel,
|  | Int32 | arg_index,
|  | IntPtr | arg_size,
|  | IntPtr | arg_value
| ) |  | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.UnloadCompiler | ( |  | ) | `[static]`

See the OpenCL specification.

static ComputeErrorCode Cloo.Bindings.CL10.WaitForEvents | ( | Int32 | num_events,
|  | [MarshalAs(UnmanagedType.LPArray)] CLEventHandle[] | event_list
| ) |  | `[static]`

See the OpenCL specification.

## Member Data Documentation

const string Cloo.Bindings.CL10.libName = "OpenCL.dll"`[protected]`

The name of the library that contains the available OpenCL function points.

The documentation for this class was generated from the following file:

- Cloo/Source/Bindings/CL10.cs